SDL Library Documentation
Prev |  | Next

# SDL_JoystickGetHat

## Name

SDL_JoystickGetHat -- Get the current state of a joystick hat

## Synopsis

    #include "SDL.h"

``Uint8 SDL_JoystickGetHat`(SDL_Joystick *joystick, int hat);`

## Description

SDL_JoystickGetHat returns the current state of the given `hat` on the given `joystick`.

## Return Value

The current state is returned as a Uint8 which is defined as an OR'd combination of one or more of the following

`SDL_HAT_CENTERED`
`SDL_HAT_UP`
`SDL_HAT_RIGHT`
`SDL_HAT_DOWN`
`SDL_HAT_LEFT`
`SDL_HAT_RIGHTUP`
`SDL_HAT_RIGHTDOWN`
`SDL_HAT_LEFTUP`
`SDL_HAT_LEFTDOWN`

## See Also

`SDL_JoystickNumHats`

Prev | Home | Next
SDL_JoystickGetAxis | Up | SDL_JoystickGetButton